Bug 879041 - Initialization of HostControllerComponent results in ERRORs in agent log due to assuming host controller's host is named "master"
Initialization of HostControllerComponent results in ERRORs in agent log due ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.5
All All
unspecified Severity low (vote)
: ---
: RHQ 4.9
Assigned To: Thomas Segismont
Mike Foley
:
Depends On:
Blocks: 879040
  Show dependency treegraph
 
Reported: 2012-11-21 17:00 EST by Larry O'Leary
Modified: 2014-03-26 04:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 879040
Environment:
Last Closed: 2014-03-26 04:32:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 267443 None None None Never

  None (edit)
Description Larry O'Leary 2012-11-21 17:00:10 EST
+++ This bug was initially created as a clone of JBoss ON Bug #879040 +++

Description of problem:
When a HostControllerComponent resource is initialized by the plug-in container, the follow error is seen in the agent's log:

ERROR [ResourceContainer.invoker.daemon-1] (rhq.modules.plugins.jbossas7.BaseServerComponent)- Failed to validate base dir for {JBossAS7}JBossAS7 Host Controller [/home/loleary/workspace/Cases/00744811/test-env/jboss-eap-6.0.0.GA/domain].
java.lang.Exception: Failed to read attribute [domain-base-dir] of address [] - response: Result{outcome='failed', failureDescription=JBAS010850: No handler for operation read-attribute at address [
    ("host" => "master"),
    ("core-service" => "host-environment")
], rolledBack=true}

Version-Release number of selected component (if applicable):
4.4.0.JON311GA

How reproducible:
Always

Steps to Reproduce:
1.  Install EAP 6
2.  Change the master host name from `master` to `mymain`

        cd "${JBOSS_HOME}"
        sed -i 's/<host name="master" xmlns="urn:jboss:domain:1\.3">/<host name="mymain" xmlns="urn:jboss:domain:1.3">/' "domain/configuration/host.xml"
    
3.  Start EAP server in domain mode

        cd "${JBOSS_HOME}/bin"
        ./domain.sh
        
4.  Start ON system
5.  Import EAP host controller into ON inventory
  
Actual results:
Agent log contains the error mentioned above

Expected results:
No error in the agent log

Additional info:
This is because we assume that the EAP host controller is named "master." Not sure why we are doing this as the host controller's name is determined by the user at configuration time.

Specifically, we are using hard coded values ENVIRONMENT_ADDRESS and HOST_ADDRESS in HostControllerComponent[1] which are used in validateServerAttributes[2]


[1]: http://git.fedorahosted.org/cgit/rhq/rhq.git/tree/modules/plugins/jboss-as-7/src/main/java/org/rhq/modules/plugins/jbossas7/HostControllerComponent.java#n51
[2]: http://git.fedorahosted.org/cgit/rhq/rhq.git/tree/modules/plugins/jboss-as-7/src/main/java/org/rhq/modules/plugins/jbossas7/BaseServerComponent.java#n131
Comment 1 Thomas Segismont 2013-08-06 12:24:22 EDT
Fixed in master see BZ879040

commit 74bbb4e2d9da88afb6b529517795451635dba0e1
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Tue Aug 6 17:51:05 2013 +0200
Comment 2 Heiko W. Rupp 2014-03-26 04:32:22 EDT
Bulk closing now that 4.10 is out.

If you think an issue is not resolved, please open a new BZ and link to the existing one.

Note You need to log in before you can comment on or make changes to this bug.